VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::system::StorageTypes::StorageMapping Class Reference

`Storage.StorageMapping` class FIXME: no docstring More...

List of all members.

## Public Member Functions
| StorageMapping ()
| Creates a default new instance.
string | GetDisk ()
| NGC disk ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.system.storage` .
void | SetDisk (string disk)
| NGC disk ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.system.storage` .
string | GetPartition ()
| Storage partition name.
void | SetPartition (string partition)
| Storage partition name.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Storage.StorageMapping` class FIXME: no docstring

## Constructor & Destructor Documentation

vmware::appliance::system::StorageTypes::StorageMapping::StorageMapping | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::system::StorageTypes::StorageMapping::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::system::StorageTypes::StorageMapping::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::system::StorageTypes::StorageMapping::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::system::StorageTypes::StorageMapping::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::system::StorageTypes::StorageMapping::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::system::StorageTypes::StorageMapping::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::system::StorageTypes::StorageMapping::GetDisk | ( |  | ) | `[inline]`

NGC disk ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.system.storage` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.system.storage` .

override int vmware::appliance::system::StorageTypes::StorageMapping::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::system::StorageTypes::StorageMapping::GetPartition | ( |  | ) | `[inline]`

Storage partition name.

void vmware::appliance::system::StorageTypes::StorageMapping::SetDisk | ( | string | disk | ) | `[inline]`

NGC disk ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.system.storage` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.system.storage` .

void vmware::appliance::system::StorageTypes::StorageMapping::SetPartition | ( | string | partition | ) | `[inline]`

Storage partition name.

override string vmware::appliance::system::StorageTypes::StorageMapping::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- appliance/system/StorageTypes.cs